scrub-obsolete Package - simutrans

Ready changes

Diff

diff --git a/debian/changelog b/debian/changelog
index 6fba243..7235e75 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+simutrans (122.0-2) UNRELEASED; urgency=medium
+
+  * Remove constraints unnecessary since buster:
+    + simutrans: Drop versioned constraint on simutrans-pak64 in Depends.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Fri, 24 Sep 2021 10:11:37 -0000
+
 simutrans (122.0-1) unstable; urgency=medium
 
   * Team upload.
diff --git a/debian/control b/debian/control
index 13fb8e7..e544ccf 100644
--- a/debian/control
+++ b/debian/control
@@ -24,7 +24,7 @@ Architecture: any
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- simutrans-pak64 (>= 120.0.1),
+ simutrans-pak64,
  simutrans-data (= ${source:Version})
 Suggests: freepats
 Description: transportation simulator

Run locally

Try this locally (using the package):

debcheckout simutrans
cd simutrans
DEB_UPDATE_CHANGELOG=auto deb-scrub-obsolete

More details

Full run details